glab(1)

NAME

glab-config - Set and get glab settings

SYNOPSIS

glab config [flags]

DESCRIPTION

Get and set key/value strings.

Current respected settings:

    •   token: your GitLab access token, defaults to environment variables

    •   host: if unset, defaults to https://gitlab.com

    •   browser: if unset, default browser is used. Override with environment variable $BROWSER

    •   editor: if unset, default editor is used. Override with environment variable $EDITOR

    •   visual: takes precedence over editor. If unset, default editor is used. Override with environment variable $VISUAL

    •   glamour_style: your desired Markdown renderer style. Options are dark, light, notty. Custom styles are allowed using glamour ⟨https://github.com/charmbracelet/glamour#styles⟩

    •   glab_pager: your desired pager command to use (e.g. less -R)

    •   check_update: if true, notifies of any available updates to glab. Defaults to true

    •   display_hyperlinks: if true, and using a TTY, outputs hyperlinks for issues and MR lists. Defaults to false

OPTIONS

-g, --global[=false]
    Use global config file

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

SEE ALSO

glab(1), glab-config-get(1), glab-config-set(1)